Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adopter.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adopter.java	(revision 65f9c716e4e7082bb521216e6e61ce61cbd8a50b)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Adopter.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -23,8 +23,8 @@
 
     @Column(name = "has_other_pets")
-    private boolean hasOtherPets;
+    private Boolean hasOtherPets;
 
     @Column(name = "has_kids")
-    private boolean hasKids;
+    private Boolean hasKids;
 
     @Column(name = "housing")
@@ -35,15 +35,15 @@
 
     @Column(name = "will_foster")
-    private boolean willFoster;
+    private Boolean willFoster;
 
     @Column(name = "is_verified", nullable = false)
-    private boolean verified;
+    private Boolean verified;
 
     @Column(name = "verified_by_employee")
-    private int verifiedByEmployeeId;
+    private Integer verifiedByEmployeeId;
 
     public Adopter(LocalDate dateCreated, String name, String email, String password, String telephone,
                    FreeTime freeTime, Funds funds, boolean hasOtherPets, boolean hasKids, Housing housing,
-                   PhysicalActivity physicalActivity, boolean willFoster, boolean verified, int verifiedByEmployeeId) {
+                   PhysicalActivity physicalActivity, boolean willFoster, boolean verified) {
         super(dateCreated, name, email, password, telephone);
         this.freeTime = freeTime;
@@ -55,5 +55,4 @@
         this.willFoster = willFoster;
         this.verified = verified;
-        this.verifiedByEmployeeId = verifiedByEmployeeId;
     }
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Employee.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Employee.java	(revision 65f9c716e4e7082bb521216e6e61ce61cbd8a50b)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Employee.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -16,5 +16,5 @@
 
     @Column(name = "id_shelter", nullable = false)
-    private int shelterId;
+    private Integer shelterId;
 
     @Column(name = "is_verified", nullable = false)
@@ -22,13 +22,12 @@
 
     @Column(name = "verified_by_admin")
-    private int verifiedByAdminId;
+    private Integer verifiedByAdminId;
 
     public Employee(LocalDate dateCreated, String name, String email, String password, String telephone,
-                    String position, int shelterId, boolean verified, int verifiedByAdminId) {
+                    String position, int shelterId, boolean verified) {
         super(dateCreated, name, email, password, telephone);
         this.position = position;
         this.shelterId = shelterId;
         this.verified = verified;
-        this.verifiedByAdminId = verifiedByAdminId;
     }
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java	(revision 65f9c716e4e7082bb521216e6e61ce61cbd8a50b)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/entities/Shelter.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -21,5 +21,5 @@
 
     @Column(name = "id_organisation")
-    private int organisationId;
+    private Integer organisationId;
 
     @Column(name = "name_shelter", nullable = false, length = 100)
@@ -29,5 +29,5 @@
     private String email;
 
-    public Shelter(String address, String telephone, int organisationId, String name, String email) {
+    public Shelter(String address, String telephone, Integer organisationId, String name, String email) {
         this.address = address;
         this.telephone = telephone;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/exceptions/NonExistingArgumentsException.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/exceptions/NonExistingArgumentsException.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/exceptions/NonExistingArgumentsException.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,7 @@
+package finki.paw5.model.exceptions;
+
+public class NonExistingArgumentsException extends Exception{
+    public NonExistingArgumentsException() {
+        super("There are empty fields for arguments");
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/AdopterRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/AdopterRepository.java	(revision 65f9c716e4e7082bb521216e6e61ce61cbd8a50b)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/AdopterRepository.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -5,4 +5,5 @@
 import org.springframework.stereotype.Repository;
 
+
 @Repository
 public interface AdopterRepository extends JpaRepository<Adopter, Integer> {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/EmployeeRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/EmployeeRepository.java	(revision 65f9c716e4e7082bb521216e6e61ce61cbd8a50b)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/EmployeeRepository.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -2,6 +2,9 @@
 
 import finki.paw5.model.entities.Employee;
+import finki.paw5.model.entities.Shelter;
 import org.springframework.data.jpa.repository.JpaRepository;
 import org.springframework.stereotype.Repository;
+
+import java.util.List;
 
 @Repository
Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/ShelterRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/ShelterRepository.java	(revision 65f9c716e4e7082bb521216e6e61ce61cbd8a50b)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/ShelterRepository.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -5,4 +5,6 @@
 import org.springframework.stereotype.Repository;
 
+import java.util.List;
+
 @Repository
 public interface ShelterRepository extends JpaRepository<Shelter, Integer> {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/UserRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/UserRepository.java	(revision 65f9c716e4e7082bb521216e6e61ce61cbd8a50b)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/UserRepository.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -5,5 +5,8 @@
 import org.springframework.stereotype.Repository;
 
+
 @Repository
 public interface UserRepository extends JpaRepository<User, Integer> {
+        User findByEmailAndPassword(String email, String password);
+        User findByEmail(String email);
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/AuthService.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,16 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Adopter;
+import finki.paw5.model.entities.Employee;
+import finki.paw5.model.entities.User;
+import finki.paw5.model.enumerations.FreeTime;
+import finki.paw5.model.enumerations.Funds;
+import finki.paw5.model.enumerations.Housing;
+import finki.paw5.model.enumerations.PhysicalActivity;
+
+public interface AuthService {
+    User login (String email, String password);
+    Adopter registerAdopter(String name, String email, String password, String telephone, FreeTime freeTime, Funds funds, boolean hasOtherPets, boolean hasKids, Housing housing, PhysicalActivity physicalActivity, boolean willFoster);
+    Employee registerEmployee(String name, String email, String password, String telephone, String position, Integer shelterId);
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/OrganisationService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/OrganisationService.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/OrganisationService.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,9 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Organisation;
+
+import java.util.List;
+
+public interface OrganisationService {
+    List<Organisation> findAll();
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/ShelterService.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,9 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Shelter;
+
+import java.util.List;
+
+public interface ShelterService {
+    List<Shelter> listShelters();
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImplementation.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AuthServiceImplementation.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,53 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Adopter;
+import finki.paw5.model.entities.Employee;
+import finki.paw5.model.entities.User;
+import finki.paw5.model.enumerations.FreeTime;
+import finki.paw5.model.enumerations.Funds;
+import finki.paw5.model.enumerations.Housing;
+import finki.paw5.model.enumerations.PhysicalActivity;
+import finki.paw5.repository.AdopterRepository;
+import finki.paw5.repository.EmployeeRepository;
+import finki.paw5.repository.UserRepository;
+import finki.paw5.service.AuthService;
+import org.springframework.stereotype.Service;
+
+import java.time.LocalDate;
+
+@Service
+public class AuthServiceImplementation implements AuthService {
+
+    private final UserRepository userRepository;
+    private final AdopterRepository adopterRepository;
+    private final EmployeeRepository employeeRepository;
+
+    public AuthServiceImplementation(UserRepository userRepository, AdopterRepository adopterRepository, EmployeeRepository employeeRepository) {
+        this.userRepository = userRepository;
+        this.adopterRepository = adopterRepository;
+        this.employeeRepository = employeeRepository;
+    }
+
+    @Override
+    public User login(String email, String password) {
+
+        if(userRepository.findByEmailAndPassword(email, password)!=null){
+            return userRepository.findByEmailAndPassword(email,password);
+        }
+        return null;
+    }
+
+
+    @Override
+    public Adopter registerAdopter(String name, String email, String password, String telephone, FreeTime freeTime, Funds funds, boolean hasOtherPets, boolean hasKids, Housing housing, PhysicalActivity physicalActivity, boolean willFoster) {
+        Adopter adopter = new Adopter(LocalDate.now(), name, email, password, telephone,freeTime,funds,hasOtherPets,hasKids,housing,physicalActivity,willFoster,false);
+        return adopterRepository.save(adopter);
+    }
+
+    @Override
+    public Employee registerEmployee(String name, String email, String password, String telephone, String position, Integer shelterId) {
+        Employee employee = new Employee(LocalDate.now(),name, email,password,telephone,position,shelterId,false);
+        return employeeRepository.save(employee);
+    }
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/OrganisationServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/OrganisationServiceImplementation.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/OrganisationServiceImplementation.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,21 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Organisation;
+import finki.paw5.repository.OrganisationRepository;
+import finki.paw5.service.OrganisationService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+@Service
+public class OrganisationServiceImplementation implements OrganisationService {
+    private final OrganisationRepository organisationRepository;
+
+    public OrganisationServiceImplementation(OrganisationRepository organisationRepository) {
+        this.organisationRepository = organisationRepository;
+    }
+
+    @Override
+    public List<Organisation> findAll() {
+        return organisationRepository.findAll();
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/ShelterServiceImplementation.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,23 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Shelter;
+import finki.paw5.repository.ShelterRepository;
+import finki.paw5.service.ShelterService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+
+@Service
+public class ShelterServiceImplementation implements ShelterService {
+    private final ShelterRepository shelterRepository;
+
+    public ShelterServiceImplementation(ShelterRepository shelterRepository) {
+        this.shelterRepository = shelterRepository;
+    }
+
+
+    @Override
+    public List<Shelter> listShelters() {
+        return shelterRepository.findAll();
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,19 @@
+package finki.paw5.web.controllers;
+
+import org.springframework.stereotype.Controller;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+
+@Controller
+@RequestMapping("/home")
+public class HomeController {
+
+    @GetMapping
+    public String getHomePage(){
+        return "home";
+    }
+    @GetMapping("/aboutUs")
+    public String getSuccessPage(){
+        return "/aboutUs";
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/LoginController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/LoginController.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/LoginController.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,49 @@
+package finki.paw5.web.controllers;
+
+import finki.paw5.model.entities.User;
+import finki.paw5.model.exceptions.NonExistingArgumentsException;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+
+import finki.paw5.service.AuthService;
+import jakarta.servlet.http.HttpServletRequest;
+import org.springframework.web.bind.annotation.RequestParam;
+
+import java.util.Objects;
+
+@Controller
+@RequestMapping("/login")
+public class LoginController {
+
+    private final AuthService authService;
+
+    public LoginController(AuthService authService) {
+        this.authService = authService;
+    }
+
+    @GetMapping
+    public String register(){
+        return "/login";
+    }
+    @PostMapping
+    public String register(@RequestParam String email,  @RequestParam String password, HttpServletRequest request, Model model) throws NonExistingArgumentsException {
+
+        if(email==null || email.equals("") || Objects.equals(password, "") || password==null){
+            throw new NonExistingArgumentsException();
+        }
+        User user = authService.login(email,password);
+
+        if(user!=null){
+            request.getSession().setAttribute("user",user); //go smestuvam korisnikot vo sesija
+            return "redirect:/home";
+        }
+        else{
+            return "redirect:/login";
+        }
+
+
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/RegisterController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/RegisterController.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/RegisterController.java	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,73 @@
+package finki.paw5.web.controllers;
+import finki.paw5.model.entities.Adopter;
+import finki.paw5.model.entities.Employee;
+import finki.paw5.model.enumerations.FreeTime;
+import finki.paw5.model.enumerations.Funds;
+import finki.paw5.model.enumerations.Housing;
+import finki.paw5.model.enumerations.PhysicalActivity;
+import finki.paw5.service.AuthService;
+import finki.paw5.service.OrganisationService;
+import finki.paw5.service.ShelterService;
+import jakarta.servlet.http.HttpServletRequest;
+import org.springframework.stereotype.Controller;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.RequestParam;
+
+@Controller
+@RequestMapping("/register")
+public class RegisterController {
+
+    private final OrganisationService organisationService;
+    private final ShelterService shelterService;
+    private final AuthService authService;
+
+    public RegisterController(OrganisationService organisationService, ShelterService shelterService, AuthService authService) {
+        this.organisationService = organisationService;
+        this.shelterService = shelterService;
+        this.authService = authService;
+    }
+
+    @GetMapping
+    public String getRegisterPage(Model model) {
+        model.addAttribute("shelters", this.shelterService.listShelters());
+        model.addAttribute("organisations", this.organisationService.findAll());
+        return "register";
+    }
+
+    @PostMapping
+    public String registerUser(@RequestParam String name, @RequestParam String email,
+                               @RequestParam String password, @RequestParam String repeatPassword,
+                               @RequestParam String telephone,@RequestParam String role,
+                               @RequestParam (required = false) String freeTime,  @RequestParam (required = false) String funds,
+                               @RequestParam (required = false) boolean hasOtherPets, @RequestParam (required = false) boolean hasKids,
+                               @RequestParam (required = false) String housing, @RequestParam (required = false) String physicalActivity,
+                               @RequestParam (required = false) boolean willFoster, @RequestParam (required = false) Integer shelter,
+                               @RequestParam (required = false)  String position, HttpServletRequest request) {
+
+        if(role.equals("adopter") & password.equals(repeatPassword)){
+
+            FreeTime ft = FreeTime.valueOf(freeTime);
+            Funds f = Funds.valueOf(funds);
+            Housing h = Housing.valueOf(housing);
+            PhysicalActivity pa = PhysicalActivity.valueOf(physicalActivity);
+
+            Adopter adopterUser = authService.registerAdopter(name, email, password, telephone,ft,f,hasOtherPets,hasKids,h,pa,willFoster);
+
+            request.getSession().setAttribute("user",adopterUser);
+            return "redirect:/home";
+        }
+        else if(role.equals("employee") & password.equals(repeatPassword)){
+
+            Employee employeeUser = authService.registerEmployee(name, email, password, telephone,position,shelter);
+
+            request.getSession().setAttribute("user",employeeUser);
+            return "redirect:/home";
+        }
+
+        return "redirect:/register";
+    }
+
+}
Index: Prototype Application/Paw5/src/main/resources/templates/aboutUs.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,46 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+
+</head>
+<body xmlns:th="http://www.thymeleaf.org">
+<header>
+    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+        <div class="container">
+            <a class="navbar-brand" href="/home">Paw 5</a>
+            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+                <span class="navbar-toggler-icon"></span>
+            </button>
+
+            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+                <ul class="navbar-nav m-auto">
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/home/aboutUs">About us</a>
+                    </li>
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/login">Login</a>
+                    </li>
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                </ul>
+            </div>
+        </div>
+    </nav>
+</header>
+<h1>About Us</h1>
+<div>
+    <h5 class="text-center text-danger">
+        You successfully logged in
+        <th:block  th:text="${session.user.getId()}"></th:block>
+    </h5>
+</div>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/home.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/home.html	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/resources/templates/home.html	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,46 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Home</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+</head>
+<body>
+<header>
+  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+    <div class="container">
+      <a class="navbar-brand" href="/home">Paw 5</a>
+      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+              aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+        <span class="navbar-toggler-icon"></span>
+      </button>
+
+      <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+        <ul class="navbar-nav m-auto">
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/home/aboutUs">About us</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/login">Login</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/register">Register</a>
+          </li>
+        </ul>
+      </div>
+    </div>
+  </nav>
+</header>
+
+<div>
+  <h1>Welcome to Paw 5</h1>
+  <h3>Let's get started
+    <th:block  th:text="${session.user.getName()}"></th:block>
+  </h3>
+</div>
+
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/login.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/login.html	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/resources/templates/login.html	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,78 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+  <meta charset="UTF-8">
+  <title>Title</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
+
+</head>
+<body xmlns:th="http://www.thymeleaf.org">
+<header>
+  <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+    <div class="container">
+      <a class="navbar-brand" href="/home">Paw 5</a>
+      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+              aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+        <span class="navbar-toggler-icon"></span>
+      </button>
+
+      <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+        <ul class="navbar-nav m-auto">
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/home/aboutUs">About us</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/login">Login</a>
+          </li>
+          <li class="nav-item m-auto">
+            <a class="nav-link active" href="/register">Register</a>
+          </li>
+        </ul>
+      </div>
+    </div>
+  </nav>
+</header>
+<div>
+
+  <form method="post" action="/login">
+    <h1>Login</h1>
+    <label for="email">Username:</label>
+    <input type="text" id="email" name="email"><br><br>
+
+    <label for="password">Password:</label>
+    <input type="password" id="password" name="password"><br><br>
+
+    <input id="button" type="submit" value="Submit">
+
+  </form>
+  <a href="/register" class="btn btn-block btn-light">Register here</a>
+</div>
+<style>
+  body{
+    color: #212121;
+  }
+  form{
+    background-color: lightgray;
+    text-align: center;
+    padding: 20px;
+    border-radius: 20px;
+    width: 60%;
+    margin-left: 300px;
+  }
+  body{
+    font-family: Montserrat,serif;
+  }
+  #button{
+    background-color: #212121;
+    color: azure;
+    border: none;
+    height: 40px;
+    width: 80px;
+    border-radius: 20px;
+  }
+</style>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/register.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/register.html	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
+++ Prototype Application/Paw5/src/main/resources/templates/register.html	(revision eef07ff68b99f548ba2d2261e5cb11770db606c2)
@@ -0,0 +1,199 @@
+<!DOCTYPE html>
+<html lang="en" xmlns:th="http://www.thymeleaf.org">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
+          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
+            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
+            crossorigin="anonymous"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
+            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
+            crossorigin="anonymous"></script>
+    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
+            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
+            crossorigin="anonymous"></script>
+
+</head>
+<body>
+<header>
+    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+        <div class="container">
+            <a class="navbar-brand" href="/home">Paw 5</a>
+            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+                <span class="navbar-toggler-icon"></span>
+            </button>
+
+            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+                <ul class="navbar-nav m-auto">
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/home/aboutUs">About us</a>
+                    </li>
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/login">Login</a>
+                    </li>
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                </ul>
+            </div>
+        </div>
+    </nav>
+</header>
+<div id="middle">
+    <h1>Register</h1>
+    <div>
+        <form method="post" action="/register"> <!--vaka e na aud-->
+            <label for="name">Name and surname:</label>
+            <input type="text" id="name" name="name"><br><br>
+
+            <label for="email">Email:</label>
+            <input type="email" id="email" name="email"><br><br>
+
+            <label for="password">Password:</label>
+            <input type="password" id="password" name="password"><br><br>
+
+            <label for="repeatPassword">Repeat password:</label>
+            <input type="password" id="repeatPassword" name="repeatPassword"><br><br>
+
+            <label for="telephone">Telephone number:</label>
+            <input type="text" id="telephone" name="telephone"><br><br>
+
+          <hr><br><br>
+
+
+            <!-- Employee -->
+            <label class="role">Register as employee in a shelter</label>
+            <input type="radio" name="role" value="employee"><br><br>
+
+            <label for="shelter">For which shelter do you work for?</label>
+            <select id="shelter" name="shelter">
+
+                <option
+                        th:each="sh : ${shelters}"
+                        th:value="${sh.getId()}"
+                        th:text="${sh.getName()}">
+                </option>
+
+            </select><br><br>
+
+            <label for="position">Position:</label>
+            <input type="text" id="position" name="position"><br><br>
+
+          <hr><br><br>
+
+
+            <!-- Adopter -->
+            <label class="role">Register as an adopter</label>
+            <input type="radio" name="role" value="adopter"><br><br>
+
+            <p>
+                *the following information is needed so we can provide our best services for you*
+            </p>
+
+            <label for="freeTime">Free time:</label>
+            <select id="freeTime" name="freeTime">
+                <option value="LOW">low</option>
+                <option value="MEDIUM">medium</option>
+                <option value="HIGH">high</option>
+            </select><br><br>
+
+            <label for="funds">Finances:</label>
+            <select id="funds" name="funds">
+                <option value="LOW">low</option>
+                <option value="MEDIUM">medium</option>
+                <option value="HIGH">high</option>
+            </select><br><br>
+
+            <label>Do you keep other pets?</label>
+            <input type="radio" class="hasPets" name="hasOtherPets" value=true> Yes
+            <input type="radio" class="hasPets" name="hasOtherPets" value=false> No <br><br>
+
+            <label>Will the adopted pet have interaction with kids?</label>
+            <input type="radio" name="hasKids" value=true>Yes
+            <input type="radio" name="hasKids" value=false>No<br><br>
+
+            <label for="housing">Housing:</label>
+            <select id="housing" name="housing">
+                <option value="APARTMENT">apartment</option>
+                <option value="HOUSE">house</option>
+            </select><br><br>
+
+            <label for="physicalActivity">Physical activity:</label>
+            <select id="physicalActivity" name="physicalActivity">
+                <option value="LOW">low</option>
+                <option value="MEDIUM">medium</option>
+                <option value="HIGH">high</option>
+            </select><br><br>
+
+            <label>Are you willing to foster?</label>
+            <input type="radio" name="willFoster" value=true>Yes
+            <input type="radio" name="willFoster" value=false>No<br><br>
+
+          <hr><br>
+
+            <!-- Donor -->
+            <label class="role">Register as donor</label>
+            <input type="radio" name="role" value="donor"><br><br>
+
+            <label for="organisation">From which organisation are you coming from?</label>
+            <select id="organisation" name="organisation">
+                <option
+                        th:each="sh : ${organisations}"
+                        th:value="${sh.getId()}"
+                        th:text="${sh.getName()}">
+                </option>
+            </select><br><br>
+
+          <hr><br>
+
+            <!-- Surendee -->
+            <label class="role">Register as surendee</label>
+            <input type="radio" name="role" value="surendee"><br><br>
+
+            <input id="button" type="submit" value="Submit">
+        </form>
+    </div>
+  <p>You want to adopt or foster a pet? - You are an adopter <br>
+    You want your pet to be adopted by another person? - You are a surendee <br>
+    You want to donate to an organisation protection animal rights? - You are a donor<br>
+    You work in one of our partner's shelters? - You are an employee <br>
+  </p>
+</div>
+</body>
+<style>
+    body {
+        color: #212121;
+    }
+
+    form {
+        background-color: lightgray;
+        text-align: center;
+        padding: 20px;
+        border-radius: 20px;
+        width: 60%;
+        margin-left: 300px;
+    }
+
+    body {
+        font-family: Montserrat, serif;
+    }
+
+    #button {
+        background-color: #212121;
+        color: azure;
+        border: none;
+        height: 40px;
+        width: 80px;
+        border-radius: 20px;
+    }
+    #middle{
+      text-align: center;
+    }
+    .role{
+      color:darkred;
+    }
+</style>
+</html>
